*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    font-family:'Inter',sans-serif;
    background:#F8F8F8;
    overflow-x:hidden;
}

/* HEADER */
header{
    position:fixed;
    top:0;
    left:0;
    width:100%;
    height:70px;
    background:white;
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:0 30px;
    box-shadow:0 2px 6px rgba(0,0,0,0.3);
    z-index:1000;
}

.logo{
    height:45px;
}

.navbar{
    display:flex;
    gap:30px;
}

.navbar a{
    text-decoration:none;
    color:#CC2C2C;
    font-family:'Poppins';
    font-size: 14px;
    font-weight:600;
}

.navbar a:hover{
    color:#000000;
}

.btn-reservasi{
    background:#D25858;
    padding:8px 15px;
    border-radius:17px;
    display:flex;
    align-items:center;
    justify-content:center;
    gap:5px;
    text-decoration:none;
    color:white;
    font-family:'Poppins';
    font-weight:600;
    font-size:14px;
    transition:0.3s ease;
}

.btn-reservasi:hover{
    background:#8C1F1F;
}

.reservasi-icon{
    width:24px;
    height:24px;
    object-fit:contain;
}

/* HERO */
.hero{
    max-width:1400px;
    margin:auto;
    padding:80px 80px;
    display:flex;
    align-items:center;
    justify-content:space-between;
    gap:60px;
}

.hero-text{
    flex:1;
}

.small-title{
    margin-top:50px;
    font-size:22px;
    color:#CC2C2C;
    font-weight:700;
}

.line{
    width:40px;
    height:4px;
    background:#CC2C2C;
    margin-top:8px;
    margin-bottom:35px;
}

.hero h1{
    font-family:'Playfair Display';
    font-size:70px;
    line-height:1.15;
    margin-bottom:40px;
}

.hero p{
    font-size:18px;
    line-height:1.8;
    color:#333;
    margin-bottom:40px;

}

.btn-menu{
    width: 160px;
    background:#CC2C2C;
    border:none;
    color:white;
    padding:15px 25px;
    border-radius:16px;
    display:flex;
    gap:7px;
    align-items:center;
    cursor:pointer;
    font-family:'Poppins';
    font-size: 14px;
    text-decoration:none;
}

.btn-menu:hover{
    background: #8C1F1F;
}

.btn-menu img{
    width:20px;
}

/* HERO IMAGE */
.hero-image{
    position:relative;
    width:600px;
}

.hero-image img{
    width:100%;
    border-radius:10px;
    display:block;
}

.circle-logo{
    position:absolute;
    right:-50px;
    bottom:-50px;
    width:230px;
    height:230px;
    background:#CC2C2C;
    border-radius:50%;
    display:flex;
    align-items:center;
    justify-content:center;
}

.circle-logo img{
    width:160px;
}

.card-area{
    background:url("../image/Union.png");
    background-repeat:no-repeat;
    background-position:top center;
    background-size:100% auto;
}
/* SPESIAL */
.special{
    padding:140px 60px 60px;
}

.special h3{
    text-align:center;
    color:#CC2C2C;
    font-size:20px;
}

.line-center{
    width:90px;
    height:3px;
    background:#CC2C2C;
    margin:5px auto;
}

.special h2{
    text-align:center;
    font-size:25px;
    margin-bottom:65px;
    margin-top: 20px;
}

.special-grid{
    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:10px;
    max-width:1400px;
    margin:auto;
}

.special-card{
    text-align:center;
}

.icon-circle{
    width:120px;
    height:120px;
    background:#F6E6E3;
    border-radius:50%;
    margin:auto;
    display:flex;
    align-items:center;
    justify-content:center;
}

.icon-circle img{
    width:70px;
    align-items: center;
}

.special-card h4{
    font-size:18px;
    margin:10px 0;
}

.special-card p{
    font-size:14px;
    line-height:1.5;
}


/* KOMITMEN */
.commitment{
    max-width:1400px;
    margin:auto;
    padding:30px 80px;
    display:flex;
    gap:60px;
    align-items:center;
}


/* FOTO */
.photo{
    flex:1;
    position:relative;
    overflow:visible;
}

.photo img{
    width:100%;
    display:block;
    border-radius:30px;
}

.badge{
    position:absolute;
    right:35px;
    bottom:35px;
    width:150px;
    background:#F6E6E3;
    border-radius:30px;
    padding:20px 10px;
    text-align:center;
    z-index:10;
    box-shadow:0 10px 25px rgba(0,0,0,.12);
}

.badge img{
    width:35px;
    display:block;
    margin:0 auto 10px;
}

.badge p{
    color:#444;
    font-size:14px;
    line-height:1.4;
    font-weight:700;
}

.commit-box{
    flex:1;
    background:#F6E6E3;
    padding:35px 40px;
    border-radius:30px;
    position:relative;
}

.label{
    color:#CC2C2C;
    font-size:18px;
    font-weight:700;
    margin-bottom:8px;
}

.commit-box{
    flex:1;
    background:#F6E6E3;
    border-radius:30px;
    padding:50px;
    position:relative;
}

.commit-box .line{
    width:45px;
    height:3px;
    background:#CC2C2C;
    margin-bottom:35px;
}

.commit-box h2{
    font-size:30px;
    line-height:1.35;
    font-weight:700;
    color:#222;
    margin-bottom:35px;
    max-width:650px;
}

.commit-box span{
    color:#CC2C2C;
}

.descrip{
    font-size:18px;
    line-height:1.8;
    color:#666;
    max-width:560px;
}

.food-icon{
    position:absolute;
    right:35px;
    bottom:25px;
    width:95px;
    object-fit:contain;
}

/* FOOTER */
footer{
    background:#3A3A3A;
    color:white;

    padding:20px 3%;
}

.footer-container{
    display:flex;
    justify-content:space-between;
    flex-wrap:wrap;
    gap:40px;
}

.footer-logo img{
    width:100px;
    opacity:0.7;
}

.footer-logo p{
    margin-top:10px;
    max-width:180px;
    line-height:1.5;
    font-size:14px;
}

.footer-menu h3,
.footer-contact h3{
    margin-bottom:15px;
    font-size:20px;
}

.footer-menu a{
    display:block;
    text-decoration:none;
    color:white;
    margin-bottom:5px;
    font-size: 12px;
}

.footer-contact p{
    margin-bottom:10px;
    font-size: 12px;
}

.copyright{
    text-align:center;
    margin-top:40px;
    font-size:12px;
}

/* ================= RESPONSIVE ================= */

/* TABLET */
@media (max-width: 1024px){

    .hero{
        flex-direction:column;
        padding:60px 40px;
        text-align:left;
        align-items:flex-start;
    }

    .hero-image{
        width:100%;
    }

    .special-grid{
        grid-template-columns: repeat(2,1fr);
    }

    .commitment{
        flex-direction:column;
        padding:30px 40px;
    }
}

/* HP */
@media (max-width: 768px){

    /* HEADER (SAMA SEMUA HALAMAN) */
    header{
        height:60px;
        padding:0 10px;
    }

    .logo{
        height:35px;
    }

    .navbar{
        display:flex;
        gap:9px;
        flex-wrap:wrap;
        justify-content:center;
    }

    .navbar a{
        font-size:10px;
    }

    .btn-reservasi{
        font-size:10px;
        padding:5px 8px;
    }

    .reservasi-icon{
        width:16px;
        height:16px;
    }

    /* HERO */
    .hero{
        flex-direction:column;
        padding:80px 20px 40px;
        text-align:left;
        align-items:flex-start;
    }

    .small-title{
        margin-top:20px;
        font-size:18px;
    }

    .hero h1{
        font-size:32px;
    }

    .hero p{
        font-size:14px;
        margin: 5px auto;
    }

    .btn-menu{
        margin:15px auto;
    }

    /* HERO IMAGE */
    .hero-image{
        width:100%;
    }

    .circle-logo{
        width:120px;
        height:120px;
        right:-10px;
        bottom:-10px;
    }

    .circle-logo img{
        width:80px;
    }

    /* SPECIAL */
    .special{
        padding:80px 20px 40px;
    }

    .special-grid{
        grid-template-columns:1fr;
        gap:20px;
    }

    /* KOMITMEN */
    .commitment{
        flex-direction:column;
        padding:30px 20px;
        gap:30px;
    }

    .commit-box{
        padding:25px;
    }

    .commit-box h2{
        font-size:20px;
    }

    .descrip{
        font-size:14px;
    }

    .food-icon{
        width:60px;
        right:15px;
        bottom:15px;
    }

    /* FOTO */
    .badge{
        width:100px;
        padding:10px;
        right:10px;
        bottom:10px;
    }

    .badge img{
        width:25px;
    }

    .badge p{
        font-size:10px;
    }

    /* FOOTER */
    .footer-container{
        flex-direction:column;
        gap:20px;
    }
}